CVE-2021-37529

NameCVE-2021-37529
DescriptionA double-free vulnerability exists in fig2dev through 3.28a is affected by: via the free_stream function in readpics.c, which could cause a denial of service (context-dependent).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
fig2dev (PTS)buster1:3.2.7a-5+deb10u4fixed
buster (security)1:3.2.7a-5+deb10u5fixed
bullseye1:3.2.8-3+deb11u1fixed
bookworm1:3.2.8b-3fixed
sid, trixie1:3.2.9-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
fig2devsourcestretch(not affected)
fig2devsourcebuster(not affected)
fig2devsourcebullseye1:3.2.8-3+deb11u1
fig2devsource(unstable)1:3.2.8b-1
transfigsource(unstable)(unfixed)

Notes

[buster] - fig2dev <not-affected> (Vulnerable code introduced later)
[stretch] - fig2dev <not-affected> (Vulnerable code introduced later)
https://sourceforge.net/p/mcj/tickets/125/
https://sourceforge.net/p/mcj/fig2dev/ci/899ea1277387ca9e9853bf61d29b7419d5692691/
Introduced by https://sourceforge.net/p/mcj/fig2dev/ci/bc3beba96605f9db5a063061ea28077937959ae2/ (3.2.8)

Search for package or bug name: Reporting problems